phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chinmay Kulkarni (Jira)" <j...@apache.org>
Subject [jira] [Closed] (PHOENIX-5569) Bump up the maven surefire and failsafe plugin versions in 4.x branches to 2.22.2
Date Sat, 21 Dec 2019 00:54:09 GMT

     [ https://issues.apache.org/jira/browse/PHOENIX-5569?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chinmay Kulkarni closed PHOENIX-5569.
-------------------------------------

Bulk closing Jiras for the 4.15.0 release.

> Bump up the maven surefire and failsafe plugin versions in 4.x branches to 2.22.2
> ---------------------------------------------------------------------------------
>
>                 Key: PHOENIX-5569
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-5569
>             Project: Phoenix
>          Issue Type: Bug
>    Affects Versions: 4.15.0
>            Reporter: Chinmay Kulkarni
>            Assignee: Chinmay Kulkarni
>            Priority: Blocker
>             Fix For: 4.15.0
>
>         Attachments: PHOENIX-5569-4.x-HBase-1.3.patch
>
>
> Many recent builds on the 4.x branches are failing with:
>  
> {code:java}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.20:test
(default-test) on project phoenix-core: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.20:test
failed: java.lang.NoClassDefFoundError: java/sql/SQLException: java.sql.SQLException
> {code}
> due to an old surefire plugin version being used with JDK11. We need to bump up the version
to have reliable builds for the 4.x branches.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message